Page Summary
-
Display & Video 360 API v2 has sunset.
-
This endpoint assigns a targeting option to a line item and returns the assigned targeting option if successful.
-
Requests to this endpoint cannot be made concurrently with several other requests that update the same line item.
-
YouTube & Partners line items cannot be created or updated using this API.
-
The request requires specific path parameters including advertiserId, lineItemId, and targetingType, and the request body contains an instance of AssignedTargetingOption.
Assigns a targeting option to a line item. Returns the assigned targeting option if successful.
Requests to this endpoint cannot be made concurrently with the following requests updating the same line item:
lineItems.bulkEditAssignedTargetingOptionslineItems.bulkUpdatelineItems.patchassignedTargetingOptions.delete
YouTube & Partners line items cannot be created or updated using the API.
HTTP request
POST https://displayvideo.googleapis.com/v2/advertisers/{advertiserId}/lineItems/{lineItemId}/targetingTypes/{targetingType}/assignedTargetingOptions
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
advertiserId |
Required. The ID of the advertiser the line item belongs to. |
lineItemId |
Required. The ID of the line item the assigned targeting option will belong to. |
targetingType |
Required. Identifies the type of this assigned targeting option. Supported targeting types include:
|
Request body
The request body contains an instance of AssignedTargetingOption.
Response body
If successful, the response body contains a newly created instance of AssignedTargetingOption.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.